Subject: Re: 1.3.3: ld: cannot find a library that is there!
From: "Andreas Eibach" <[email-masked]>
To: "Ross Smith" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 3 Nov 2001 18:27:33 -0000

----- Original Message -----
From: "Ross Smith" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, November 01, 2001 10:52 PM
Subject: 1.3.3: ld: cannot find a library that is there!

> I'm compiling IBM's icu 2.0 (http://oss.software.ibm.com/icu/) from cvs as
a precursor to porting xerces 1.5.2 to cygwin.
>
> I'm using cygwin 1.3.3 with all latest versions of everything.
>
> make stops at the first link, with:
>
>
c++ -DHAVE_CONFIG_H -I. -DICU_DATA_DIR=\"/usr/local/lib/icu/2.0/\" -DUDATA_S
O_SUFFIX=\".so\" -DU_COMMON_LIBNAME=\"libicuuc.so.20.0\"
>  -DUDATA_FILES -g -O2   -shared -Wl,-soname -Wl,libicuuc.so.20 -o
libicuuc.so.20.0 putil.o ...
> convert.o -L../data -L../stubdata -licudata -lm
> .../ld: cannot find -licudata
>
> I verified that ../stubdata/libicudata.so.lnk exists, and it links to
../stubdata/libicudt20l.so.
>
> So I tried to fix it with:
>
> % cd stubdata
> % rm libicudata.so
> % cp libicudt20l.so libicudata.so
>
> No luck.
>
> So I copied libicudata.so into the working directory, and added -L. to the
command line.
>
> % cd common
> % cp ../stubdata/libicudata.so .
> % make

You *DID* remember to run ldconfig -v after these modifications, didn't you?

Andreas

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/